<html xmlns:th="http://www.thymeleaf.org"
      xmlns="http://www.w3.org/1999/xhtml"
      th:include="layout :: page">
<body>

<div th:fragment="content">
  <div>
    <h3>Create recipe</h3>
  </div>
  <hr>
  <div>
    <form th:action="@{/createRecipe}" name="createRecipe" method="post" th:object="${createRecipe}">
      <label for="recipe">Enter title for new recipe</label>
      <input name="recipe" id="recipe" type="text" th:value="*{title}" required>
      <input name="submit" type="submit" value="Create"/>
    </form>
  </div>
</div>
</body>
</html>